.intec-template .intec-template-title {
  display: none !important;
}

.sale-basket-small-content {
  display: none !important;
}

.widget.c-widget.c-widget-buttontop .widget-button {
  display: none !important;
}

.c-widget-buttontop .widget-button {
  display: none !important;
}

.inner-page .wpraper-content {
  margin-top: 0;
}

body {
  background-color: #f9f9f9;
  margin: 0;
  padding: 0;
}

.filter__input-box:hover {
  cursor: pointer !important;
}

.catalog_content_main {
  /* max-width: 1766px; */
  margin: 0 auto;
}

.catalog__header {
  padding: 20px;
  background-color: #fff;
  max-width: 1986px;
  margin: 0 auto;
}

@media screen and (min-width: 1843px) {
  .catalog__header {
    padding-left: 60px;
    max-width: 1896px;
  }
}

.catalog__header .catalog__header__title .catalog__header__breadcrumbs {
  text-decoration: none;
  color: #555;
  margin-right: 5px;
  font-size: 14px;
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 500;
  line-height: 14px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.catalog__header .catalog__breadcrumbs_title {
  margin-top: 20px !important;
  margin-bottom: 40px !important;
  font-size: 18px;
  font-weight: 500;
  font-family: "HelveticaNeue";
  font-size: 15px;
  font-weight: 500;
  line-height: 26px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

main {
  display: flex;
  justify-content: center;
  padding-top: 16px;
  padding-bottom: 20px;
}

.products {
  display: grid;
  justify-content: start;
  grid-template-columns: repeat(3, 1fr);
  gap: 10px;
  flex-wrap: wrap;
  min-width: calc(68%);
  max-width: 1986px;
  padding-right: 20px;
}

@media screen and (max-width: 1400px) {
  .header-logo__right-pos {
    display: none !important;
  }

  .footer-wrapper {
    display: block !important;
  }

  .footer-wrapper {
    justify-content: unset !important;
  }

  .footer-mnu-wrapper {
    justify-content: center !important;
  }
}

@media screen and (max-width: 1120px) {
  /* Стили для экранов с шириной до 768px */
  .products {
    display: grid;
    justify-content: start;
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
    padding: 10px;
    flex-wrap: wrap;
  }
  .filter {
    display: none !important;
  }
  .filter_icon_settings_mobile {
    width: 24px; /* Ширина иконки */
    height: 24px; /* Высота иконки */
    display: inline-block; /* Убедимся, что это блочный элемент */
    object-fit: contain; /* Корректное отображение изображения */
  }

  .filter_mobile {
    display: flex !important;
  }

  .main_button_up {
    display: none !important;
  }

  .filter_mobile .filter_btn {
    display: flex; /* Включаем flexbox для выравнивания */
    align-items: center; /* Выравнивание по вертикали */
    justify-content: center; /* При необходимости можно добавить горизонтальное выравнивание */
    padding: 4px 18px; /* Отступы для кнопки */
    border: 1px solid #cacacb; /* Убираем рамку */
    background-color: white; /* Цвет кнопки */
    cursor: pointer; /* Курсор при наведении */
    font-size: 16px; /* Размер текста */
    gap: 8px; /* Расстояние между текстом и иконкой */
  }

  .filter_btn:hover {
    background-color: #111111;
    color: #e5e5e5;
  }

  .filter_btn:hover .filter_icon_settings_mobile {
    filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(0deg)
      brightness(100%) contrast(100%); /* Белый */
  }

  .filter_mobile .filter-price__name {
    font-family: "HelveticaNeue";
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    text-align: left;
    text-underline-position: from-font;
    text-decoration-skip-ink: none;
  }

  .catalog_content_main {
    margin-bottom: 100px;
  }

  .filter-input__container {
    gap: 10px;
  }

  .filter__input-box {
    transform: scale(1.5);
  }

  .filter-input__container_main_filter_catalog {
    flex: 0 0 auto;
    text-align: center;
    white-space: nowrap;
    scroll-snap-align: center;
  }

  .catalog__header {
    border-bottom: 1px solid #ddd;
  }

  .catalog__header {
    padding-bottom: 4px;
  }
}

.product {
  background-color: #fff;
  border-radius: 10px;
  max-width: 500px; /* Задаем ширину карточки */
  text-align: center;
  transition: transform 0.3s ease;
  box-sizing: border-box;
}

.product:hover {
  transform: scale(1.02); /* Увеличение карточки при наведении */
}

.product img {
  width: 100%; /* Изображение растягивается на всю ширину карточки */
  height: auto; /* Сохраняем пропорции */
  margin-bottom: 15px;
}

.product__info__header {
  font-size: 14px;
  margin: 10px 0;
  font-weight: normal;
  color: #333;
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product__info__description {
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product__info__color {
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 400;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product__info__price {
  font-family: "HelveticaNeue";
  font-size: 16px !important;
  font-weight: 500;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #111111 !important;
}

.product p {
  margin: 5px 0;
  font-size: 14px;
  color: #666;
  line-height: 1.5;
}

p.product_special {
  color: #9e3500; /* Оранжевый цвет для "Индивидуальный" */
  font-size: 14px;
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 500;
  line-height: 20px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.product p:last-child {
  font-size: 14px;
  color: #000;
  font-weight: normal;
}

.product p strong {
  font-size: 14px;
  color: #000;
}

button {
  border: none;
  background-color: #000;
  color: #fff;
  cursor: pointer;
}

button:hover {
  background-color: #444;
}

.product__info {
  display: flex;
  gap: 3px;
  flex-direction: column;
  align-items: flex-start;
}

.filter {
  max-width: 240px;
  width: 100%;
  padding: 20px;
  background-color: #fff;
  font-family: Arial, sans-serif;
  font-size: 14px;
  color: #333;

  display: flex;
  flex-direction: column;
  gap: 16px;
}

.filter .filter__header {
  font-size: 16px;
  padding-bottom: 20px;
  margin: 0 !important;
  font-weight: bold;
  border-bottom: 1px solid #e5e5e5;
  font-family: "HelveticaNeue";
  font-size: 15.88px;
  font-weight: 500;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter__section {
  border-bottom: 1px solid #e5e5e5;
  padding-bottom: 20px;
}

/* .filter div strong {
    display: block;
    font-size: 14px;
    font-weight: bold;
} */

.filter-input__container {
  display: flex;
  align-items: center;
  margin-bottom: 5px;
  font-size: 16px;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 21.6px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter-input__container_normal_text {
  font-weight: normal;
  font-family: "HelveticaNeue";
  font-size: 14px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter div input[type="checkbox"] {
  margin-right: 8px;
}

.filter div input[type="range"] {
  width: 100%;
}

.filter div .range-values {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  color: #666;
}

.filter div button {
  width: 100%;
  padding: 10px;
  font-size: 14px;
  background-color: #000;
  color: #fff;
  border: none;
  border-radius: 3px;
  cursor: pointer;
  margin-top: 10px;
  transition: background-color 0.3s ease;
}

.filter div button:hover {
  background-color: #444;
}

.filter div button.reset {
  background-color: #fff;
  color: #000;
  border: 1px solid #000;
}

.filter div button.reset:hover {
  background-color: #f4f4f4;
}

/* Скрываем радиокнопку, но оставляем её функциональность */
input[type="radio"] {
  position: absolute;
  opacity: 0;
  width: 0;
  height: 0;
}

/* Базовый стиль для текста */
.size-option {
  cursor: pointer;
  text-decoration: none;
  color: #000;
  border-bottom: 2px solid transparent;
  transition: border-color 0.3s ease;
}

/* Подчеркивание выбранного элемента */
input[type="radio"]:checked + .size-option {
  border-bottom: 2px solid #000;
}

.filter-price {
  width: 100%;
  margin-bottom: 20px;
  font-family: Arial, sans-serif;
  font-size: 14px;
  display: flex;
  flex-direction: column;
  gap: 8px;
  margin-top: 20px;
}

.filter-price__name {
  font-size: 16px;
  display: block;
  font-weight: bold;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.price-inputs {
  display: flex;
  justify-content: space-between;
  margin: 10px 0;
}

.price-inputs input {
  width: 42%;
  padding: 5px;
  font-size: 14px;
  text-align: center;
  border: 1px solid #ddd;
  border-radius: 5px;
}

.price-slider {
  position: relative;
  width: 100%;
  height: 2px;
  margin: 10px 0;
}

.price-slider .slider-track {
  position: absolute;
  height: 5px;
  border-radius: 5px;
  width: 100%;
  z-index: 1;
}

.price-slider input[type="range"] {
  position: absolute;
  width: 100%;
  height: 0px;
  background: none;
  -webkit-appearance: none;
  appearance: none;
  pointer-events: none; /* Скрываем событие клика */
  z-index: 2;
}

.price-slider input[type="range"]::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 8px;
  height: 8px;
  background: #000;
  border-radius: 50%;
  cursor: pointer;
  pointer-events: auto; /* Включаем события для ползунков */
  position: relative;
}

.price-range-labels {
  display: flex;
  justify-content: space-between;
  font-size: 12px;
  color: #666;
}

.filter-section__container {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  margin-bottom: 10px;
  gap: 10px;
}

.filter-section__container_mobile {
  display: flex;
  justify-content: space-between;
  flex-direction: row;
  align-items: center;
  margin-bottom: 10px;
  gap: 10px;
}

.filter-section__container:hover {
  cursor: pointer;
}

#new-template .arrow_new {
  background-color: transparent;
  width: 12px;
  height: 7px;
}

#new-template .arrow_new_close {
  transform: rotate(180deg);
}

.filter__input-box {
  -webkit-appearance: auto !important;
  accent-color: black;
  font-size: 16px;
}

.filter__input-box[type="checkbox"]:checked {
  background-color: #111111; /* Чёрный цвет заливки */
  fill: #111111;
}

.filter_btn {
  border-radius: 30px;
  border: 1px solid #111111;
  padding: 8px;
  font-family: "HelveticaNeue";
  font-size: 15.88px;
  font-weight: 500;
  line-height: 24px;
  text-align: center;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter_btn_color-white {
  background-color: #ffffff;
  color: #111111;
}

.filter__section_main_filter_catalog {
  flex-direction: row;
  gap: 32px;
  justify-content: center;
  display: flex;
  overflow-x: auto;
  gap: 20px;
  scroll-snap-type: x mandatory;
  -webkit-overflow-scrolling: touch;
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
  text-align: left;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
}

.filter_mobile {
  display: none;
  flex-direction: row;
  justify-content: space-between;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 20px;
}

.main_button_up {
  margin-left: 50%;
  margin-top: 3%;
  margin-bottom: 3%;
  background-color: #e5e5e5;
  color: #7e7e7e;
  border: none !important;
  align-items: center;
  display: flex;
  gap: 8px;
  padding: 10px 15px;
}

.arrow_new__btn-up {
  width: 14px;
  height: 16px;
}

.hidden {
  display: none !important;
}

.product-img {
  width: 500px; /* Изображение растягивается на всю ширину карточки */
  height: auto; /* Сохраняем пропорции */
  max-height: 500px;
  margin-bottom: 15px;
}

.ns-intec-universe.c-sale-basket-small.c-sale-basket-small-template-2
  .sale-basket-small-switch {
  display: flex !important;
  align-items: center !important;
  justify-content: center !important;
}

@media only screen and (max-width: 767px) {
  #new-template .header-other {
    margin-left: 0;
    align-items: center;
  }
}

.filter__section_brand {
  margin-top: 32px;
}

.product_price_block {
  display: flex;
  flex-direction: row;
  gap: 8px;
}

.product__info__price_sale {
  font-family: "HelveticaNeue";
  font-size: 16px;
  font-weight: 400;
  line-height: 24px;
  text-align: left;
  text-decoration-line: line-through;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #707072 !important;
}

.product__info__text_sale {
  font-family: "HelveticaNeue";
  font-size: 16px !important;
  font-weight: 500 !important;
  line-height: 24px !important;
  text-align: left !important;
  text-underline-position: from-font;
  text-decoration-skip-ink: none;
  color: #048a0a !important;
}

.price-slider input[type="range"] {
  left: -2px;

  top: -1px;
}

.filter__input-box {
  width: 16px;
  height: 16px;
  margin-right: 4px !important;
}

.filter .filter_btn:hover {
  background-color: #7e7e7e;
  border-color: #7e7e7e !important;
}

.filter_btn_color-white {
  border-color: #7e7e7e !important;
}

.filter .filter_btn_color-white:hover {
  border-color: #111111 !important;
  background-color: #ffffff;
}

.filter_icon_settings_mobile {
  pointer-events: none;
}

.clear-btn {
  border-color: #7e7e7e !important;
}

.clear-btn:hover {
  background-color: #ffffff;
  border-color: #111111 !important;
}

.apply-btn:hover {
  background-color: #7e7e7e !important;
}
